#include <iostream>
#include <string>
using namespace std;

int main()
{
    string slova;
    cin>> slova;
    char a=slova[0],b=slova[1];
    int g,d;
    cin>> g >>d;
    if (g-d>1||d-g>1){
        cout << "nemoguce";
    }
    else {
            if (g>d){
              for (int i=0;i<g;i++){
                cout << a<<b;
              }
            }
            else if (d>g){
              for (int i=0;i<d;i++){
                cout << b<<a;
              }
            }
            else {
                for (int i=0;i<g;i++){
                cout << a<<b;
              }
            }
    }
    return 0;
}